curl --request GET \
--url 'https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/synchronizer-identities/{domain_id_prefix}'
import json
import requests
url = "https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/synchronizer-identities/{domain_id_prefix}"
response = requests.request("GET", url)
print(response.text)
const response = await fetch('https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/synchronizer-identities/{domain_id_prefix}', {
method: 'GET',
});
console.log(await response.text());
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => 'https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/synchronizer-identities/{domain_id_prefix}',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
]);
$response = curl_exec($curl);
echo $response;
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/synchronizer-identities/{domain_id_prefix}", nil)
response, _ := http.DefaultClient.Do(req)
defer response.Body.Close()
body, _ := io.ReadAll(response.Body)
fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
var request = HttpRequest.newBuilder()
.uri(URI.create("https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/synchronizer-identities/{domain_id_prefix}"))
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
var response = HttpClient.newHttpClient().send(
request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
require 'net/http'
require 'uri'
uri = URI('https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/synchronizer-identities/{domain_id_prefix}')
request = Net::HTTP::Get.new(uri)
response = Net::HTTP.start(uri.hostname, uri.port) do |http|
http.request(request)
end
puts response.body
{
"sequencer_id": "<string>",
"sequencer_identity_transactions": [
"<string>"
],
"mediator_id": "<string>",
"mediator_identity_transactions": [
"<string>"
]
}
{
"error": "<string>"
}
GET /v0/synchronizer-identities/:domain_id_prefix
Synchronizer identities
GET
/
api
/
scan
/
v0
/
synchronizer-identities
/
{domain_id_prefix}
curl --request GET \
--url 'https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/synchronizer-identities/{domain_id_prefix}'
import json
import requests
url = "https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/synchronizer-identities/{domain_id_prefix}"
response = requests.request("GET", url)
print(response.text)
const response = await fetch('https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/synchronizer-identities/{domain_id_prefix}', {
method: 'GET',
});
console.log(await response.text());
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => 'https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/synchronizer-identities/{domain_id_prefix}',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
]);
$response = curl_exec($curl);
echo $response;
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/synchronizer-identities/{domain_id_prefix}", nil)
response, _ := http.DefaultClient.Do(req)
defer response.Body.Close()
body, _ := io.ReadAll(response.Body)
fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
var request = HttpRequest.newBuilder()
.uri(URI.create("https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/synchronizer-identities/{domain_id_prefix}"))
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
var response = HttpClient.newHttpClient().send(
request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
require 'net/http'
require 'uri'
uri = URI('https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/synchronizer-identities/{domain_id_prefix}')
request = Net::HTTP::Get.new(uri)
response = Net::HTTP.start(uri.hostname, uri.port) do |http|
http.request(request)
end
puts response.body
{
"sequencer_id": "<string>",
"sequencer_identity_transactions": [
"<string>"
],
"mediator_id": "<string>",
"mediator_identity_transactions": [
"<string>"
]
}
{
"error": "<string>"
}
Synchronizer identities
OpenAPI
curl --request GET \
--url 'https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/synchronizer-identities/{domain_id_prefix}'
import json
import requests
url = "https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/synchronizer-identities/{domain_id_prefix}"
response = requests.request("GET", url)
print(response.text)
const response = await fetch('https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/synchronizer-identities/{domain_id_prefix}', {
method: 'GET',
});
console.log(await response.text());
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => 'https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/synchronizer-identities/{domain_id_prefix}',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
]);
$response = curl_exec($curl);
echo $response;
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/synchronizer-identities/{domain_id_prefix}", nil)
response, _ := http.DefaultClient.Do(req)
defer response.Body.Close()
body, _ := io.ReadAll(response.Body)
fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
var request = HttpRequest.newBuilder()
.uri(URI.create("https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/synchronizer-identities/{domain_id_prefix}"))
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
var response = HttpClient.newHttpClient().send(
request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
require 'net/http'
require 'uri'
uri = URI('https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/synchronizer-identities/{domain_id_prefix}')
request = Net::HTTP::Get.new(uri)
response = Net::HTTP.start(uri.hostname, uri.port) do |http|
http.request(request)
end
puts response.body
{
"sequencer_id": "<string>",
"sequencer_identity_transactions": [
"<string>"
],
"mediator_id": "<string>",
"mediator_identity_transactions": [
"<string>"
]
}
{
"error": "<string>"
}
Path parameters
string
required
Responses
200
okapplication/json
string
required
string[]
required
string
required
string[]
required
404
not foundapplication/json
string
required